5.3.0-git
2014-10-24

[#6304] Add event from email
Summary Add event from email
Queue IMP
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester rsalmon (at) mbpgroup (dot) com
Created 2008-02-22 (2436 days ago)
Due
Updated 2011-03-18 (1316 days ago)
Assigned
Resolved
Milestone
Patch No

History
2009-10-14 21:56:45 randytunison (at) higlum (dot) com Comment #13 Reply to this comment
And an option on the IMP compose window, to create an event (a 
reminder to follow up on the composed email for instance).
2009-01-31 19:37:29 colan (at) openject (dot) com Comment #12 Reply to this comment
+1 for this feature.



The event time wouldn't come from anywhere.  The user would enter it 
after the form comes up with the known fields filled in.
2008-11-06 02:54:22 Chuck Hagenbuch Comment #11
State ⇒ Accepted
Reply to this comment
Moving this back to accepted, and leaving the patch as inspiration, 
though it can't be used as-is.
2008-10-15 12:04:02 jkinsella (at) ancillaryservices (dot) com Comment #10 Reply to this comment
I was actually considering add a pre-defined variable to listCalendars 
function call, to decide which way to return, but since I have most 
packages installed, and when I grep'd through didn't see any call to 
it, I figured it wouldn't matter. Since nothing seemed to be using it.



As far as the popup ajax, that's kind of what I wanted to do, but I 
really had no idea on how to do that, so I just did what I could do.. 
I was just hoping that this patch would help in the sense that someone 
who actually knows what they are doing could take it, and implement it 
the right way.. As I'm not really that much of a php developer, just 
know enough to dabble in it.
2008-10-15 03:19:39 Chuck Hagenbuch Comment #9
State ⇒ Feedback
Reply to this comment
The problem with this patch is that it requires a 
backwards-incompatible change in Kronolith. The listCalendars API 
method is unfortunately more correct than the listTasklists 
counterpart; returning an object through the API is very unfriendly to 
access by xml-rpc or json.



Unfortunately, I don't think there is an existing API call that 
returns both calendars and names in one shot. It would be possible to 
add a new API call to Kronolith that does this, and check for the 
presence of that call in IMP; the feature would be available if the 
API call was available.



Alternately, events could be added to the default calendar, requiring 
no API changes to Kronolith.



On the implementation side, having the date of the added events be 
today seems very counterintuitive to me. My idea for this feature was 
that it would involve a little inline ajax dialog that would allow you 
to choose the time of the event.
2008-10-14 14:51:03 jkinsella (at) ancillaryservices (dot) com Comment #8
New Attachment: email2event.patch Download
Reply to this comment
Here is a patch for imp H3 (4.3), and kronolith H3 (2.3) that adds 
this support
2008-02-23 00:41:35 Chuck Hagenbuch Comment #7
State ⇒ Accepted
Reply to this comment
I'd like to see this also. I think it's workable, but I certainly 
won't commit to it for IMP 4.2.0.
2008-02-23 00:33:17 Matt Selsky Comment #6 Reply to this comment
Apple Mail 3.2 (Tiger) can do this too.
2008-02-22 11:40:09 rsalmon (at) mbpgroup (dot) com Comment #5 Reply to this comment
Yes, but this behavior would be different from any other app, so it's
Indeed, the behavior would be different from what is already 
implemented in IMP.



I hate to compare to Outlook, but, a user can create a caldendar event 
from an email. I haven't checked if other app can.
inconsistent. Beside that it wouldn't save that much work for the
user.
It would definitely be easier/friendly,from a user's point of view, to 
popup a creating (task , event...) window that you could update on the 
fly and save rather than having to add the task in the background and 
the look it up later to update it.



no ?


2008-02-22 11:20:30 Jan Schneider Comment #4 Reply to this comment
Yes, but this behavior would be different from any other app, so it's 
inconsistent. Beside that it wouldn't save that much work for the user.
2008-02-22 11:08:36 rsalmon (at) mbpgroup (dot) com Comment #3 Reply to this comment
after selecting "Create a new event from mail", I thought that IMP 
would kick off  (popup or not) kronolith/new.php with some prefilled 
fields like title,desc... Then it would be up to the user to set date, 
participant... and eventually save the new event.



It would not work like adding a task, where the task is added in the 
background and then need to lookup the task to add information like 
deadline...



I'm not that good in english. Do you understand what I'm trying to say?





Thanks,

Ronan.
And where should the most important - the date - come from?
2008-02-22 10:44:00 Jan Schneider Comment #2
State ⇒ Rejected
Reply to this comment
And where should the most important - the date - come from?
2008-02-22 08:41:15 rsalmon (at) mbpgroup (dot) com Comment #1
State ⇒ New
Queue ⇒ IMP
Summary ⇒ Add event from email
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
When reading a message, we can copy/move the email to/as a task or a note.



I would be great if we could do the same with the calendar : Create a 
new event from an email, eg :

- subject  -> event's title

- body + header summary -> event's description



Ronan.